Your message dated Mon, 19 Sep 2016 19:21:08 +0000
with message-id <e1bm47o-0000ed...@franck.debian.org>
and subject line Bug#837841: fixed in swami 2.0.0+svn389-4
has caused the Debian Bug report #837841,
regarding swami: (Future) FTBFS due to undeclared build dependencies
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
837841: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=837841
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: swami
Version: 2.0.0+svn389-3
Severity: important
User: pkg-gnome-maintain...@lists.alioth.debian.org
Usertags: gtk-doc-tools

Hi,

your package swami declares a build dependency on gtk-doc-tools.
gtk-doc-tools in turn depends on gnome-common, which in turn pulls in packages
like gettext, intltool or pkg-config.

The dependency on gnome-common was originally added for the GNOME_GTKDOC_CHECK
macro which has been deprecated and replaced by GTK_DOC_CHECK a long time ago.

As gnome-common has been declared deprecated by GNOME upstream [1], we would
like to drop this dependency from gtk-doc-tools.

We did a test of all reverse build dependencies of gtk-doc-tools and swami
failed to build due to now missing build dependencies which are no longer
pulled in by gtk-doc-tools.

A complete build log is available at
https://people.debian.org/~biebl/gtk-doc-tools/swami.log

We have uploaded that gtk-doc-tools package as 1.25-4 to experimental as well,
so you can test your package against this version.

Common build-failures and their fixes:

a/ configure.ac:32: error: possibly undefined macro: AC_PROG_INTLTOOL

   make[1]: intltoolize: Command not found

   → Build-Depends: intltool

b/ ./configure: line 5461: syntax error near unexpected token `yes'
   ./configure: line 5461: `GNOME_COMPILE_WARNINGS(yes)'

   ./configure: line 14801: GNOME_CODE_COVERAGE: command not found

   → Build-Depends: gnome-common (for GNOME_* macros)

c/ ./configure: line 17439: syntax error near unexpected token 
`$WARN_CFLAGS_EXTRA,'
   ./configure: line 17439: `AX_APPEND_COMPILE_FLAGS($WARN_CFLAGS_EXTRA, 
WARN_CFLAGS)'

   ./configure: line 2629: syntax error near unexpected token `git-directory'
   ./configure: line 2629: `AX_IS_RELEASE(git-directory)'

   → Build-Depends: autoconf-archive (for AX_* macros)

d/ ./configure: line 12518: intltool-update: command not found
   checking for intltool >= 0.40.0...  found
   ./configure: error: Your intltool is too old.  You need intltool 0.40.0 or 
later.

   → Build-Depends: intltool

e/ make[1]: intltoolize: Command not found

   → Build-Depends: intltool

f/ ./autogen.sh calls gnome-autogen.sh

   → Build-Depends: gnome-common


Please add the required build-dependencies to your package so once we upload
gtk-doc-tools_1.25-4 to unstable your package doesn't FTBFS.

Regards,
Michael


[1] https://wiki.gnome.org/Projects/GnomeCommon/Migration

--- End Message ---
--- Begin Message ---
Source: swami
Source-Version: 2.0.0+svn389-4

We believe that the bug you reported is fixed in the latest version of
swami, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 837...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jaromír Mikeš <mira.mi...@seznam.cz> (supplier of updated swami package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 19 Sep 2016 20:29:22 +0200
Source: swami
Binary: swami libswami0 libswami-dev
Architecture: source amd64
Version: 2.0.0+svn389-4
Distribution: unstable
Urgency: medium
Maintainer: Debian Multimedia Maintainers 
<pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Jaromír Mikeš <mira.mi...@seznam.cz>
Description:
 libswami-dev - MIDI instrument editor - development files
 libswami0  - MIDI instrument editor - shared libraries
 swami      - MIDI instrument editor application
Closes: 837841
Changes:
 swami (2.0.0+svn389-4) unstable; urgency=medium
 .
   * Bump Standards.
   * Fix VCS fields.
   * Update copyright file.
   * Drop dbg package in favour of dbgsym.
   * Fix hardening.
   * Add intltool to B-D (Closes: #837841).
Checksums-Sha1:
 da855bb11743509b2fda85a18deb07b45488a677 2369 swami_2.0.0+svn389-4.dsc
 0685ae5f02a1ac1bdf7a96fa15c50b41730abd1e 8796 
swami_2.0.0+svn389-4.debian.tar.xz
 dc3a3545453ebae89d3a34cabbdfddb44f367a76 61060 
libswami-dev_2.0.0+svn389-4_amd64.deb
 39da8a2b118513fded657238da82eba183e78fcd 955290 
libswami0-dbgsym_2.0.0+svn389-4_amd64.deb
 5e63b0ac16040188fd352d213a90b97134d0be9f 205738 
libswami0_2.0.0+svn389-4_amd64.deb
 2a8f4442e44affb2270a2d08c2ae2a69401ff22b 149502 
swami-dbgsym_2.0.0+svn389-4_amd64.deb
 480049237b69253a6d5cdcec6b63b356ab4317bc 343852 swami_2.0.0+svn389-4_amd64.deb
Checksums-Sha256:
 e0bce5b777525570bdc307e843a7c7a146c198d32b4ca73613bb82b08304b09e 2369 
swami_2.0.0+svn389-4.dsc
 e68bc93f0c83ce251e74f01ae4833329fe2003dcd9bca49790f13aca3a1b1808 8796 
swami_2.0.0+svn389-4.debian.tar.xz
 e3458da93563509dd967fe7e219620efc2ca819351eec7d62ff4e5e21d13127b 61060 
libswami-dev_2.0.0+svn389-4_amd64.deb
 c4883023aefa203f4f0e8f8149b34639e59f6f24d0fb3dc01d3e7378588f4083 955290 
libswami0-dbgsym_2.0.0+svn389-4_amd64.deb
 532a31a621511495c5b09e43e15d2821ff792016cbcdb926873a0e4d2e3a9325 205738 
libswami0_2.0.0+svn389-4_amd64.deb
 fba6b055c065b5a678001dd3e92343ffcd359f16dfcf110c3cc766d32a4cec46 149502 
swami-dbgsym_2.0.0+svn389-4_amd64.deb
 d0c994c18237430b1f307a17346cdcded2c0ee841389a722a2f7a4a0f645275f 343852 
swami_2.0.0+svn389-4_amd64.deb
Files:
 e5e2b7ebfb9734db8fc42e78683d7271 2369 sound optional swami_2.0.0+svn389-4.dsc
 32ed0ca059b8dd0f942a904d51e9582a 8796 sound optional 
swami_2.0.0+svn389-4.debian.tar.xz
 f5d4972cdc582c88edde6a8d64fd8d4c 61060 libdevel optional 
libswami-dev_2.0.0+svn389-4_amd64.deb
 6dbfb38650e10658eefe0892876a819c 955290 debug extra 
libswami0-dbgsym_2.0.0+svn389-4_amd64.deb
 7010ff7575001e7f89f87498c2fd7fcf 205738 libs optional 
libswami0_2.0.0+svn389-4_amd64.deb
 f2dd47deacffa4c417d6d0e5d9d11706 149502 debug extra 
swami-dbgsym_2.0.0+svn389-4_amd64.deb
 43a61c69c4abf3254e1787f4fa761882 343852 sound optional 
swami_2.0.0+svn389-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBAgAGBQJX4DeVAAoJEFsBlFXiuE+lyFsP/20Mse0U1ZmeQOTq7lXR7sKJ
tKnRs9iT2T0IO3q0+HZijKTpwAs4bvdLj3oVShI0fG58KYPczh/Ne3/UbUc9mjuR
ko2GaKFkXLiWYFThlT4eWo1p+pVFUszUF4UiyJ3Reg+aBqwEmpyM8dvsdLC9fBGR
qEFx0IbkV0i1Y6nktFuwmNAoL1tp5AmLF3zZ3NdJS59bBe6+7uDnYWwtsDXkpniD
Hv9XPfTofIC1KNqmx7f6TLBVjx7nL0Ykrf08yufjlZ4iJ3Ga6iqRusq2KaMHVsPJ
JdholjE0htXmdlTPE+kihE41dy1znBx2QDWrWHR/zXQbv6LZ8OuFH+fqs91IOVit
aFDBphYrNrksN8MTv7vqOH6ygqppZx/wFucjJUUX1wr7QsP9QAi/m5yUFcXibkzZ
Ad7/rYYKxH6cZZA+GteK8M6t6m/s5c3Ebu3LALPEKiBHdv98qDhbAXOnA4kUwtRD
MKCpGLp4+4HLKeZGdHx8mBV5FbQqyn+y0n9pQu0jOMmiBKtiXG4tsb13L3XGUlj1
vnQx2q/jOCL65ORIRmDnJI66ngFrlz7FwNc0gA88E4EdwwUFILDMyuVmy7pO/N0H
yMdMiLwoqs/heYbeoQcYD5MdiLtu980NQa67XWxg1aFcxZXaXzDkXLUJGnwsRTjk
AwCs3YfFTUuvVGPauTBG
=cyVi
-----END PGP SIGNATURE-----

--- End Message ---
_______________________________________________
pkg-multimedia-maintainers mailing list
pkg-multimedia-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-multimedia-maintainers

Reply via email to